window.Gleam.initSearch([{"doc":"gxid","title":"gxid","content":"# gxid\n\n![CI](https://github.com/defgenx/gxid/workflows/test/badge.svg?branch=master)\n[![Package Version](https://img.shields.io/hexpm/v/gxid)](https://hex.pm/packages/gxid)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gxid/)\n\nA Gleam implementation of xid\n\n## Task List\n- [x] Write xid generator and encode\n- [x] Write tests\n- [x] Write xid decode\n- [ ] Implement a prefix feature\n\n## Quick start\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add gxid\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/gxid&gt;.\n\n\n","url":"index.html"},{"doc":"gxid","title":"Message","content":"pub opaque type Message\n A library implementing XID generation\n Message handled by the actor\n\nSynonyms:\ngxid.Message\ngxid Message","url":"gxid.html#Message"},{"doc":"gxid","title":"State","content":"pub opaque type State\n Actor&#39;s State internal representation\n\nSynonyms:\ngxid.State\ngxid State","url":"gxid.html#State"},{"doc":"gxid","title":"XID","content":"pub opaque type XID\n XID representation\n\n This is an opaque type to ensure its RO nature\n\nSynonyms:\ngxid.XID\ngxid XID","url":"gxid.html#XID"},{"doc":"gxid","title":"generate","content":"pub fn generate(channel: Subject(Message)) -&gt; XID\n Generates a State\n\n ### Usage\n \n import gxid\n\n assert Ok(channel) = gxid.start()\n\n let xid: XID = gxid.generate(channel)\n \n See: https:///hexdocs.pm/gleam_otp/0.1.1/gleam/otp/actor/#call\nSynonyms:\ngxid.generate\ngxid generate","url":"gxid.html#generate"},{"doc":"gxid","title":"machine_id","content":"pub fn machine_id(xid: XID) -&gt; Int\n Returns machine id from XID type\nSynonyms:\ngxid.machine_id\ngxid machine_id","url":"gxid.html#machine_id"},{"doc":"gxid","title":"parse","content":"pub fn parse(str_xid: String) -&gt; XID\n Parse a XID string to have its composition\n\n ### Usage\n \n import gxid\n\n let xid: XID = gxid.parse(&quot;h8a8u4o00de6hq6tsc00&quot;)\n \nSynonyms:\ngxid.parse\ngxid parse","url":"gxid.html#parse"},{"doc":"gxid","title":"pid","content":"pub fn pid(xid: XID) -&gt; Int\n Returns PID from XID type\nSynonyms:\ngxid.pid\ngxid pid","url":"gxid.html#pid"},{"doc":"gxid","title":"random_number","content":"pub fn random_number(xid: XID) -&gt; Int\n Returns random number from XID type\nSynonyms:\ngxid.random_number\ngxid random_number","url":"gxid.html#random_number"},{"doc":"gxid","title":"start","content":"pub fn start() -&gt; Result(Subject(Message), StartError)\n Starts State generator\nSynonyms:\ngxid.start\ngxid start","url":"gxid.html#start"},{"doc":"gxid","title":"string","content":"pub fn string(xid: XID) -&gt; String\n Returns xid string representation from XID type\nSynonyms:\ngxid.string\ngxid string","url":"gxid.html#string"},{"doc":"gxid","title":"time","content":"pub fn time(xid: XID) -&gt; Int\n Returns time from XID type\nSynonyms:\ngxid.time\ngxid time","url":"gxid.html#time"},{"doc":"gxid","title":"to_xid","content":"pub fn to_xid(bit_xid: BitString) -&gt; XID\n Copy a BitString to a new XID and encode\nSynonyms:\ngxid.to_xid\ngxid to_xid","url":"gxid.html#to_xid"},{"doc":"gxid","title":"gxid","content":"","url":"gxid.html"}]);